package com.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import java.util.List;

import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.utils.PageUtils;
import com.utils.Query;


import com.dao.XubaotongzhiDao;
import com.entity.XubaotongzhiEntity;
import com.service.XubaotongzhiService;
import com.entity.vo.XubaotongzhiVO;
import com.entity.view.XubaotongzhiView;

@Service("xubaotongzhiService")
public class XubaotongzhiServiceImpl extends ServiceImpl<XubaotongzhiDao, XubaotongzhiEntity> implements XubaotongzhiService {
	
	
    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        Page<XubaotongzhiEntity> page = this.selectPage(
                new Query<XubaotongzhiEntity>(params).getPage(),
                new EntityWrapper<XubaotongzhiEntity>()
        );
        return new PageUtils(page);
    }
    
    @Override
	public PageUtils queryPage(Map<String, Object> params, Wrapper<XubaotongzhiEntity> wrapper) {
		  Page<XubaotongzhiView> page =new Query<XubaotongzhiView>(params).getPage();
	        page.setRecords(baseMapper.selectListView(page,wrapper));
	    	PageUtils pageUtil = new PageUtils(page);
	    	return pageUtil;
 	}

    
    @Override
	public List<XubaotongzhiVO> selectListVO(Wrapper<XubaotongzhiEntity> wrapper) {
 		return baseMapper.selectListVO(wrapper);
	}
	
	@Override
	public XubaotongzhiVO selectVO(Wrapper<XubaotongzhiEntity> wrapper) {
 		return baseMapper.selectVO(wrapper);
	}
	
	@Override
	public List<XubaotongzhiView> selectListView(Wrapper<XubaotongzhiEntity> wrapper) {
		return baseMapper.selectListView(wrapper);
	}

	@Override
	public XubaotongzhiView selectView(Wrapper<XubaotongzhiEntity> wrapper) {
		return baseMapper.selectView(wrapper);
	}

    @Override
    public List<Map<String, Object>> selectValue(Map<String, Object> params, Wrapper<XubaotongzhiEntity> wrapper) {
        return baseMapper.selectValue(params, wrapper);
    }

    @Override
    public List<Map<String, Object>> selectTimeStatValue(Map<String, Object> params, Wrapper<XubaotongzhiEntity> wrapper) {
        return baseMapper.selectTimeStatValue(params, wrapper);
    }

    @Override
    public List<Map<String, Object>> selectGroup(Map<String, Object> params, Wrapper<XubaotongzhiEntity> wrapper) {
        return baseMapper.selectGroup(params, wrapper);
    }




}
